#include <iostream>
#include <fstream>

using namespace std;

int main(){
  //ifstream in("/home/songxinkai/bin_edges/edges.reddit.fea16.bin", ios::in | ios::binary);
  //ifstream in("/home/songxinkai/GraphData_1/bin_edges/edges.enzymes.cachesize_10MB_lrd_16wayset.fea_64.bin", ios::in | ios::binary);
  ifstream in("a.bin", ios::in | ios::binary);
  int* data = new int[4]; // 0: dst_vid, 1: src_vid, 2: is_cache_miss, 3: is_last_src
  while(!in.eof()){
    in.read((char*)data, sizeof(int)*4);
    //if (data[0] % 1000 != 0) continue;
    for (int j = 0; j < 4; ++j){
      cout << data[j] << ", ";
    }
    cout << endl;
  }
  return 0;
}
